Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`insults`.`insults`.`modes``

class documentation

`class modes: (source)`

View In Hierarchy

ECMA 48 standardized modes

Constant | `INSERTION_REPLACEMENT` | Undocumented
Constant | `IRM` | Undocumented
Constant | `KAM` | Undocumented
Constant | `KEYBOARD_ACTION` | Undocumented
Constant | `LINEFEED_NEWLINE` | Undocumented
Constant | `LNM` | Undocumented

INSERTION_REPLACEMENT: `int` = (source)

Undocumented

Value

    4

IRM: `int` = (source)

Undocumented

Value

    4

KAM: `int` = (source)

Undocumented

Value

    2

KEYBOARD_ACTION: `int` = (source)

Undocumented

Value

    2

LINEFEED_NEWLINE: `int` = (source)

Undocumented

Value

    20

LNM: `int` = (source)

Undocumented

Value

    20